Bug 95080 - Missing feedback about disabled system file dialogs on KDE
Summary: Missing feedback about disabled system file dialogs on KDE
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LO-File-Dialog KDE
  Show dependency treegraph
 
Reported: 2015-10-15 09:57 UTC by Heiko Tietze
Modified: 2018-01-05 08:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2015-10-15 09:57:46 UTC
KDE crashes too often with system dialogs (https://bugreports.qt-project.org/browse/QTBUG-37380 / 34614 / 38585), and only inbuilt file dialogs are used therefore. But the option "[ ] Use LibO dialogs" remains active and unchecked. Please check and disabled it so the user gets a clear feedback.
Comment 1 Carlos Rodriguez 2015-10-25 23:30:49 UTC
Are you asking to change the default option. From unchecked -> checked??
Comment 2 Heiko Tietze 2015-10-25 23:33:03 UTC
(In reply to Carlos Rodriguez from comment #1)
> Are you asking to change the default option. From unchecked -> checked??

Please mark this checkbox as checked and set its state as disabled so the user gets a clear feedback (inbuilt dialogs are used and cannot be changed).
Comment 3 Katarina Behrens (Inactive) 2015-11-10 11:40:14 UTC
We talked about this on #libreoffice-design channel, this is a valid request (albeit not so easy to fix).

If kde4 vcl plugin is loaded, but kde4 file dialogs are disabled at build time (because libqt4 this version of LibO was build against is buggy), the user has no choice but to use generic file dialogs. 

As a result, the related checkbox shouldn't be active (as there's really no alternative choice of other than generic file dialogs) and it should indeed be checked to indicate the fact that this is the current and the only choice
Comment 4 Maxim Monastirsky 2015-11-10 11:44:06 UTC
(In reply to Katarina Behrens (CIB) from comment #3)
> but kde4 file dialogs are disabled at build time
They disabled at runtime, not at build time (although the configure script warns about it).
Comment 5 Katarina Behrens (Inactive) 2015-11-10 12:24:02 UTC
> They disabled at runtime, not at build time (although the configure script
> warns about it).

Eh bleh, sorry 'bout confusion, configure warning made me believe this is a build time story
Comment 6 QA Administrators 2017-01-03 19:37:00 UTC Comment hidden (obsolete)
Comment 7 Heiko Tietze 2017-01-04 15:46:25 UTC
Still relevant
Comment 8 QA Administrators 2018-01-05 03:40:32 UTC Comment hidden (obsolete)
Comment 9 Heiko Tietze 2018-01-05 08:14:06 UTC
Closing my own ticket as WONTFIX. Tinkering with a replacement to native dialogs is always doomed, and we plan to retire this feature (or probably strip down every non-essential function), see bug 114484.